Get the server configuration
GET
/config
const url = 'https://antimony.example.com/api/config';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://antimony.example.com/api/config \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Media typeapplication/json
object
payload
Array<object>
object
capture
object
enabled
boolean
excludedInterfaces
Array<string>
deployment
object
provider
string
ssh
object
enabled
boolean
port
integer
Example generated
{ "payload": [ { "capture": { "enabled": true, "excludedInterfaces": [ "example" ] }, "deployment": { "provider": "example" }, "ssh": { "enabled": true, "port": 1 } } ]}The user isn’t authorized
Media typeapplication/json
The user doesn’t have access to the resource
Media typeapplication/json
object
code
integer
message
string
Example generated
{ "code": 1, "message": "example"}The provided access token is not valid
Media typeapplication/json